Overview
The dashboard numbers, who you are and what you can do, lookup lists for filters, and recent activity.
| Method | Path | Summary |
|---|---|---|
| GET | /api/me | Who you are: the signed-in person and what they can do here |
| GET | /api/overview | Dashboard numbers |
| GET | /api/settings | Warden settings (read-only) |
| GET | /api/lookups | Lists for filters (sites, groups, packages…) |
| GET | /api/activity | Recent activity |
#Who you are: the signed-in person and what they can do here
GET
/api/me- Address
https://<your-org>.brambleit.cloud/warden/api/me- Requires
- Signed-in browser session (the
sso_session/session_idcookies from Bramble sign-in).
Licence: Warden.
Response 200
| Field | Type | Description |
|---|---|---|
user | any | |
patching_min_agent | string |
Example response
JSON
{
"user": null,
"patching_min_agent": "string"
}Example request
JavaScript
// From a page served by Bramble (uses the signed-in session)
const res = await fetch('/warden/api/me', {
method: 'GET',
credentials: 'include',
});
const data = await res.json();#Dashboard numbers
GET
/api/overviewIssues, CVEs and devices by severity and fix state, compliance, OS mix and end-of-life, the worst devices and packages, trends, patching, policies, recent activity and open tickets.
- Address
https://<your-org>.brambleit.cloud/warden/api/overview- Requires
- Signed-in browser session (the
sso_session/session_idcookies from Bramble sign-in).
Licence: Warden.
Response 200
| Field | Type | Description |
|---|---|---|
issues | array of any | |
cves | object | |
cves.cves | integer | |
cves.packages | integer | |
cves.devices | integer | |
cves.kev_cves | integer | |
cves.oldest | string (date-time) | |
devices | object | |
devices.total | integer | |
devices.supported | number | |
devices.limited_ | number | |
devices.reboot | number | |
devices.pending_updates | number | |
devices.high_risk | number | |
devices.avg_risk | number | |
devices.last_scan | string (date-time), or null | |
compliance | any | |
osMix | any | |
osLife | any | |
topDevices | array of any | |
topPackages | array of object | |
topPackages[].package | string | |
topPackages[].devices | integer | |
topPackages[].cves | integer | |
topPackages[].kev | boolean | |
topPackages[].worst | string | |
topPackages[].best_fix | any | |
topPackages[].fix | any | |
trend | array of any | |
patch | any | |
policies | array of any | |
activity | any | |
openTickets | number |
Example response
JSON
{
"issues": [],
"cves": {
"cves": 1,
"packages": 1,
"devices": 1,
"kev_cves": 1,
"oldest": "2026-11-12T09:30:00.000Z"
},
"devices": {
"total": 3,
"supported": 12.5,
"limited_": 12.5,
"reboot": 12.5,
"pending_updates": 12.5,
"high_risk": 12.5,
"avg_risk": 12.5,
"last_scan": "2026-11-12T09:30:00.000Z"
},
"compliance": null,
"osMix": null,
"osLife": null,
"topDevices": [],
"topPackages": [
{
"package": "string",
"devices": 1,
"cves": 1,
"kev": false,
"worst": "string",
"best_fix": null,
"fix": null
}
],
"trend": [],
"patch": null,
"policies": [],
"activity": null,
"openTickets": 12.5
}Example request
JavaScript
// From a page served by Bramble (uses the signed-in session)
const res = await fetch('/warden/api/overview', {
method: 'GET',
credentials: 'include',
});
const data = await res.json();#Warden settings (read-only)
GET
/api/settings- Address
https://<your-org>.brambleit.cloud/warden/api/settings- Requires
- Signed-in browser session (the
sso_session/session_idcookies from Bramble sign-in).
Licence: Warden.
Response 200
| Field | Type | Description |
|---|---|---|
settings | array of any | |
site_customers | array of object | |
site_customers[].site_id | integer | |
site_customers[].psa_customer_id | integer |
Example response
JSON
{
"settings": [],
"site_customers": [
{
"site_id": 7,
"psa_customer_id": 7
}
]
}Example request
JavaScript
// From a page served by Bramble (uses the signed-in session)
const res = await fetch('/warden/api/settings', {
method: 'GET',
credentials: 'include',
});
const data = await res.json();#Lists for filters (sites, groups, packages…)
GET
/api/lookups- Address
https://<your-org>.brambleit.cloud/warden/api/lookups- Requires
- Signed-in browser session (the
sso_session/session_idcookies from Bramble sign-in).
Licence: Warden.
Response 200
| Field | Type | Description |
|---|---|---|
sites | array of any | |
groups | array of any | |
scripts | array of any | |
queues | array of any | |
customers | array of any |
Example response
JSON
{
"sites": [],
"groups": [],
"scripts": [],
"queues": [],
"customers": []
}Example request
JavaScript
// From a page served by Bramble (uses the signed-in session)
const res = await fetch('/warden/api/lookups', {
method: 'GET',
credentials: 'include',
});
const data = await res.json();#Recent activity
GET
/api/activity- Address
https://<your-org>.brambleit.cloud/warden/api/activity- Requires
- Signed-in browser session (the
sso_session/session_idcookies from Bramble sign-in).
Licence: Warden.
Response 200
| Field | Type | Description |
|---|---|---|
activity | array of object | |
activity[].id | integer | |
activity[].company_id | integer | |
activity[].user_id | integer, or null | |
activity[].user_name | string, or null | |
activity[].action | string | |
activity[].receipt_id | integer, or null | |
activity[].detail | string, or null | |
activity[].created_at | string (date-time) | |
activity[].tenant_id | integer | |
activity[].kind | string | |
activity[].message | string | |
activity[].actor | string, or null | |
activity[].device_id | string, or null | |
activity[].meta_json | string, or null |
Example response
JSON
{
"activity": [
{
"id": 42,
"company_id": 7,
"user_id": 7,
"user_name": "Example user name",
"action": "string",
"receipt_id": 7,
"detail": "string",
"created_at": "2026-11-12T09:30:00.000Z",
"tenant_id": 1,
"kind": "string",
"message": "Saved",
"actor": "string",
"device_id": "string",
"meta_json": "string"
}
]
}Example request
JavaScript
// From a page served by Bramble (uses the signed-in session)
const res = await fetch('/warden/api/activity', {
method: 'GET',
credentials: 'include',
});
const data = await res.json();Was this page helpful?
Thanks for your feedback.